package com.jiuqi.dna.ide.designer.toolkit;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

/* loaded from: com_jiuqi_dna_ide_designer_toolkit.jar:com/jiuqi/dna/ide/designer/toolkit/RootCompositeDescriptor.class */
public class RootCompositeDescriptor implements Serializable {
    private static final long serialVersionUID = -7789857047039202972L;
    private ToolkitElement compositeElement;
    private ArrayList<PropertyDescriptor> propertyDescriptors = new ArrayList<>();

    public ToolkitElement getCompositeElement() {
        return this.compositeElement;
    }

    public void setCompositeElement(ToolkitElement compositeElement) {
        this.compositeElement = compositeElement;
    }

    public void addPropertyDescriptor(PropertyDescriptor propertyDescriptor) {
        this.propertyDescriptors.add(propertyDescriptor);
    }

    public void removePropertyDescriptor(PropertyDescriptor propertyDescriptor) {
        this.propertyDescriptors.remove(propertyDescriptor);
    }

    public ArrayList<PropertyDescriptor> getPropertyDescriptors() {
        return this.propertyDescriptors;
    }

    public PropertyDescriptor getPropertyDescriptor(String propertyName) {
        if (propertyName == null) {
            throw new NullPointerException("元素属性名propertyName不能为NULL");
        }
        Iterator<PropertyDescriptor> it = this.propertyDescriptors.iterator();
        while (it.hasNext()) {
            PropertyDescriptor descriptor = it.next();
            if (propertyName.equals(descriptor.getPropertyName())) {
                return descriptor;
            }
        }
        return null;
    }
}
